> ## Documentation Index
> Fetch the complete documentation index at: https://docs.gomaestro.org/llms.txt
> Use this file to discover all available pages before exploring further.

> Get comprehensive metadata for a Bitcoin inscription collection including description, creator, and attributes.

# Collection Metadata by Collection Symbol



## OpenAPI

````yaml bitcoin/blockchain-indexer-api/openapi.json get /assets/collections/{collection_symbol}/metadata
openapi: 3.0.3
info:
  title: Bitcoin - Blockchain Indexer API
  description: >-
    This API provides core indexer endpoints with support for Bitcoin
    metaprotocols by delivering real-time, rollback-protected access to
    Bitcoin's UTXO data, enabling developers to build responsive and reliable
    blockchain applications without managing complex infrastructure.


    #### Key Features:

    - **Real-Time Data with Rollback Protection:** Ensures data accuracy by
    handling chain reorganizations gracefully, providing live data without
    sacrificing integrity.

    - **Comprehensive UTXO Indexing:** Specialized pipelines extract, match, and
    process on-chain information, including handling rollbacks, to provide
    accurate and up-to-date data.


    #### Key Benefits for Developers:

    By abstracting the complexities of blockchain data retrieval and processing,
    Maestro's Bitcoin Indexer API empowers developers to focus on building
    innovative applications with confidence in fast and reliable access to
    historical chain data.
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.txt
  version: v0.2.0
servers:
  - url: https://xbt-mainnet.gomaestro-api.org/v0
    description: Bitcoin Mainnet
  - url: https://xbt-testnet.gomaestro-api.org/v0
    description: Bitcoin Testnet
security:
  - api-key: []
paths:
  /assets/collections/{collection_symbol}/metadata:
    get:
      tags:
        - Inscriptions
      summary: Collection Metadata by Collection Symbol
      description: >-
        Provides metadata for a given inscription collection symbol, including
        its name, image, supply, and external links. This is useful for
        rendering collection summaries or for display in marketplaces and
        aggregators.
      operationId: collection_metadata_by_collection_symbol
      parameters:
        - name: collection_symbol
          in: path
          description: Collection symbol (UTF-8)
          required: true
          schema:
            type: string
          example: twick
      responses:
        '200':
          description: Requested data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TimestampedCollectionMetadataBySymbol'
              example:
                data:
                  chain: btc
                  createdAt: Sun, 17 Sep 2023 06:38:15 GMT
                  description: >-
                    A collection of 1/1 art inscribed forever on the Bitcoin
                    Blockchain. All 1/1s are inscribed on special sats.
                  discordLink: ''
                  imageURI: >-
                    https://creator-hub-prod.s3.us-east-2.amazonaws.com/ord-twick_pfp_1705357607896.jpeg
                  inscriptionIcon: >-
                    736d7692fb2b405f7efdd05b57787a10bb0385b7dd394aa67654d62119e9d825i0
                  labels: []
                  max_inscription_number: '63111093'
                  min_inscription_number: '31921195'
                  name: 1/1 ART BY TWICK
                  supply: 10
                  symbol: twick
                  twitterLink: https://twitter.com/Twickert_
                  websiteLink: https://www.artbytwick.com/
                last_updated:
                  block_hash: >-
                    00000000000000000001998e2059bcbb25f76fd0ef39db8ddfc5c31c5ea95f1f
                  block_height: 876644
        '400':
          description: Malformed query parameters
        '404':
          description: Requested entity not found on-chain
        '500':
          description: Internal server error
components:
  schemas:
    TimestampedCollectionMetadataBySymbol:
      type: object
      required:
        - data
        - last_updated
      properties:
        data:
          $ref: '#/components/schemas/MagicEdenCollection'
        last_updated:
          $ref: '#/components/schemas/ChainTip'
    MagicEdenCollection:
      type: object
      required:
        - symbol
        - name
        - imageURI
        - chain
        - inscriptionIcon
        - description
        - supply
        - twitterLink
        - discordLink
        - websiteLink
        - min_inscription_number
        - max_inscription_number
        - createdAt
        - labels
      properties:
        chain:
          type: string
        createdAt:
          type: string
        description:
          type: string
        discordLink:
          type: string
        imageURI:
          type: string
        inscriptionIcon:
          type: string
        labels:
          type: array
          items:
            type: string
        max_inscription_number:
          type: string
        min_inscription_number:
          type: string
        name:
          type: string
        supply: {}
        symbol:
          type: string
        twitterLink:
          type: string
        websiteLink:
          type: string
    ChainTip:
      type: object
      required:
        - block_hash
        - block_height
      properties:
        block_hash:
          type: string
          description: The hash of the block
          example: 0000000000000000000a7f3b7b6b6e1d9a18db65a3b4a3f4f3bcb2e1f1b2d3e7
        block_height:
          type: integer
          format: int64
          description: The height of the block in the blockchain
          example: 707000
          minimum: 0
  securitySchemes:
    api-key:
      type: apiKey
      in: header
      name: api-key
      description: Project API Key

````